Bug 186602 - [patch] update www/lynx-current to 2.8.8.p4, avoid unnecessary depends, and clean up Makefile
[patch] update www/lynx-current to 2.8.8.p4, avoid unnecessary depends, and c...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Johan van Selst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-09 20:20 UTC by Adam Weinberger
Modified: 2014-02-09 21:00 UTC (History)
0 users

See Also:


Attachments
lynx-current.patch (9.52 KB, patch)
2014-02-09 20:20 UTC, Adam Weinberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2014-02-09 20:20:00 UTC
There have been 5 releases since this port was last updated.
Additionally, it forces a dependency on libidn unnecessarily.

The attached patch updates to 2.8.8.p4, turns IDN support into an
OPTION, uses the options helpers to avoid unnecessary bsd.port.options.mk
inclusion, removes erroneous slashes from post-install, adds missing
%%PORTDOCS%% tags in the pkg-plist, dispenses with gratuitous symlink
creation, and simplifies the DISTNAME.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-09 20:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Johan van Selst freebsd_committer 2014-02-09 20:49:26 UTC
State Changed
From-To: open->closed

Great work, now committed. Thanks. 
I'll keep better track of future updates :)
Comment 3 dfilter freebsd_committer 2014-02-09 20:49:32 UTC
Author: johans
Date: Sun Feb  9 20:49:23 2014
New Revision: 343542
URL: http://svnweb.freebsd.org/changeset/ports/343542
QAT: https://qat.redports.org/buildarchive/r343542/

Log:
  - Update to lynx 2.8.8 pre-4
  - Add option to disable IDN for English-only web-users
  - Honour NOPORTDOCS
  - Minor cleanups
  - Fix packaging as unprivileged user
  
  PR:		ports/186602
  Submitted by:	adamw

Modified:
  head/www/lynx-current/Makefile
  head/www/lynx-current/distinfo
  head/www/lynx-current/files/patch-aa
  head/www/lynx-current/pkg-plist

Modified: head/www/lynx-current/Makefile
==============================================================================
--- head/www/lynx-current/Makefile	Sun Feb  9 20:33:50 2014	(r343541)
+++ head/www/lynx-current/Makefile	Sun Feb  9 20:49:23 2014	(r343542)
@@ -2,21 +2,20 @@
 # $FreeBSD$
 
 PORTNAME=	lynx
-PORTVERSION=	2.8.8d16
+PORTVERSION=	2.8.8p4
 PKGNAMESUFFIX=	-current
 CATEGORIES=	www ipv6
 MASTER_SITES=	http://lynx.isc.org/current/
-DISTNAME=	${PORTNAME}${PORTVERSION:C/d.*//}dev.${PORTVERSION:C/.*d//}
+DISTNAME=	${PORTNAME}${PORTVERSION:S/p/pre./}
 
 MAINTAINER=	johans@FreeBSD.org
 COMMENT=	Non-graphical, text-based World-Wide Web client
 
-LIB_DEPENDS=	libidn.so:${PORTSDIR}/dns/libidn
 RUN_DEPENDS=	${LOCALBASE}/etc/mime.types:${PORTSDIR}/misc/mime-support
 
 CONFLICTS_INSTALL=	lynx-2.8.[0-7].* ja-lynx-[0-9]*
 
-WRKSRC=		${WRKDIR}/${DISTNAME:S/./-/g:C/d.*//}
+WRKSRC=		${WRKDIR}/${DISTNAME:S/./-/g:C/p.*//}
 USE_BZIP2=	yes
 USES=		iconv shebangfix
 USE_OPENSSL=	yes
@@ -45,21 +44,14 @@ L_DOC=		${PREFIX}/share/doc/lynx
 L_HELP=		${PREFIX}/share/lynx_help
 DOCSDIR=	${L_DOC}
 
-post-install:
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${STAGEDIR}/${L_DOC}
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${STAGEDIR}/${L_HELP}
-	${CHOWN} ${SHAREOWN}:${SHAREGRP} \
-		${STAGEDIR}/${L_LIB}/lynx.cfg* ${STAGEDIR}/${L_LIB}/lynx.lss*
-
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MNLS}
-USES+=		gettext
-PLIST_SUB+=	NLS=""
-CONFIGURE_ARGS+=	--enable-nls
-.else
-CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.endif
+OPTIONS_DEFINE=	IDN NLS
+OPTIONS_DEFAULT=IDN NLS
+OPTIONS_SUB=	yes
+
+NLS_USES=	gettext
+NLS_CONFIGURE_ENABLE=	nls
+
+IDN_LIB_DEPENDS=	libidn.so:${PORTSDIR}/dns/libidn
+IDN_CONFIGURE_ENABLE=	idna
 
 .include <bsd.port.mk>

Modified: head/www/lynx-current/distinfo
==============================================================================
--- head/www/lynx-current/distinfo	Sun Feb  9 20:33:50 2014	(r343541)
+++ head/www/lynx-current/distinfo	Sun Feb  9 20:49:23 2014	(r343542)
@@ -1,2 +1,2 @@
-SHA256 (lynx2.8.8dev.16.tar.bz2) = 826ddbc3fb346daf2c564103400493b9ce2c02e932f3aceaf7195b60098ba808
-SIZE (lynx2.8.8dev.16.tar.bz2) = 2560812
+SHA256 (lynx2.8.8pre.4.tar.bz2) = 896f3ab19a5b3644acc7d745f2a019e3535a545f630020eb490f96db00dd2a2b
+SIZE (lynx2.8.8pre.4.tar.bz2) = 2584088

Modified: head/www/lynx-current/files/patch-aa
==============================================================================
--- head/www/lynx-current/files/patch-aa	Sun Feb  9 20:33:50 2014	(r343541)
+++ head/www/lynx-current/files/patch-aa	Sun Feb  9 20:49:23 2014	(r343542)
@@ -1,6 +1,6 @@
 --- makefile.in.orig	2009-11-25 13:56:48.000000000 +0300
 +++ makefile.in	2010-03-26 11:13:46.000000000 +0300
-@@ -384,14 +384,9 @@
+@@ -384,14 +384,10 @@
  		if test "$(COMPRESS_PROG)" != "" ; then \
  			(cd $(HELPDIR) && $(COMPRESS_PROG) $$files ) \
  		fi'
@@ -14,6 +14,7 @@
 -	@echo Updating $(sysconfdir)/lynx.cfg to point to installed help-files
 +	@echo Updating $(sysconfdir)/lynx.cfg.default
 +	cp $(srcdir)/lynx.cfg $(SYSCONFDIR)/lynx.tmp
++	rm -f $(SYSCONFDIR)/lynx.cfg.default
 +	@echo Updating $(sysconfdir)/lynx.cfg.default to point to installed help-files
  	@ECHO_CC@sed	-e '/^HELPFILE:http/s!^!#!' \
  		-e '/^#HELPFILE:file/s!#!!' \

Modified: head/www/lynx-current/pkg-plist
==============================================================================
--- head/www/lynx-current/pkg-plist	Sun Feb  9 20:33:50 2014	(r343541)
+++ head/www/lynx-current/pkg-plist	Sun Feb  9 20:49:23 2014	(r343542)
@@ -7,92 +7,92 @@ etc/lynx.cfg.default
 etc/lynx.lss.default
 @exec if [ ! -f %D/etc/lynx.lss ] ; then cp -p %D/%F %B/lynx.lss; fi
 @exec mkdir -p %D/share/lynx_help
-%%DOCSDIR%%/CHANGES
-%%DOCSDIR%%/COPYHEADER
-@exec ln -sf %D/%F %D/share/lynx_help/%f
-@unexec rm -f %D/share/lynx_help/%f
-%%DOCSDIR%%/COPYHEADER.asc
-%%DOCSDIR%%/COPYING
-@exec ln -sf %D/%F %D/share/lynx_help/%f
-@unexec rm -f %D/share/lynx_help/%f
-%%DOCSDIR%%/COPYING.asc
-%%DOCSDIR%%/PROBLEMS
-%%DOCSDIR%%/README
-%%DOCSDIR%%/docs/CHANGES2.3.gz
-%%DOCSDIR%%/docs/CHANGES2.4.gz
-%%DOCSDIR%%/docs/CHANGES2.5.gz
-%%DOCSDIR%%/docs/CHANGES2.6.gz
-%%DOCSDIR%%/docs/CHANGES2.7.gz
-%%DOCSDIR%%/docs/CHANGES2.8.gz
-%%DOCSDIR%%/docs/CRAWL.announce.gz
-%%DOCSDIR%%/docs/FM.announce.gz
-%%DOCSDIR%%/docs/IBMPC-charsets.announce.gz
-%%DOCSDIR%%/docs/OS-390.announce.gz
-%%DOCSDIR%%/docs/README.TRST
-%%DOCSDIR%%/docs/README.chartrans
-%%DOCSDIR%%/docs/README.cookies
-%%DOCSDIR%%/docs/README.defines
-%%DOCSDIR%%/docs/README.jp
-%%DOCSDIR%%/docs/README.metrics
-%%DOCSDIR%%/docs/README.options
-%%DOCSDIR%%/docs/README.release
-%%DOCSDIR%%/docs/README.rootcerts
-%%DOCSDIR%%/docs/README.ssl
-%%DOCSDIR%%/docs/README.sslcerts
-%%DOCSDIR%%/docs/SOCKETSHR.announce.gz
-%%DOCSDIR%%/docs/TCPWARE.announce.gz
-%%DOCSDIR%%/docs/VMSWAIS.announce.gz
-%%DOCSDIR%%/docs/djgpp.key
-%%DOCSDIR%%/docs/pdcurses.key
-%%DOCSDIR%%/docs/slang.key
-%%DOCSDIR%%/docs/win-386.announce.gz
-%%DOCSDIR%%/samples/blue-background.lss
-%%DOCSDIR%%/samples/bright-blue.lss
-%%DOCSDIR%%/samples/cernrules.txt
-%%DOCSDIR%%/samples/home.htm
-%%DOCSDIR%%/samples/installdirs.html
-%%DOCSDIR%%/samples/jumps.htm
-%%DOCSDIR%%/samples/jumpsUnix.html
-%%DOCSDIR%%/samples/jumpsVMS.html
-%%DOCSDIR%%/samples/keepviewer
-%%DOCSDIR%%/samples/lynx-demo.cfg
-%%DOCSDIR%%/samples/lynx-keymaps
-%%DOCSDIR%%/samples/lynx.bat
-%%DOCSDIR%%/samples/lynx.com
-%%DOCSDIR%%/samples/lynx.ico
-%%DOCSDIR%%/samples/lynx.lss
-%%DOCSDIR%%/samples/lynx_bookmarks.htm
-%%DOCSDIR%%/samples/lynxdump
-%%DOCSDIR%%/samples/mailcap
-%%DOCSDIR%%/samples/mailto-form.pl
-%%DOCSDIR%%/samples/midnight.lss
-%%DOCSDIR%%/samples/mild-colors.lss
-%%DOCSDIR%%/samples/mime.types
-%%DOCSDIR%%/samples/oldlynx
-%%DOCSDIR%%/samples/opaque.lss
-%%DOCSDIR%%/test/ALT88592.html
-%%DOCSDIR%%/test/ISO_LATIN1_test.html
-%%DOCSDIR%%/test/README.txt
-%%DOCSDIR%%/test/TestComment.html
-%%DOCSDIR%%/test/bad-html.html
-%%DOCSDIR%%/test/c1.html
-%%DOCSDIR%%/test/cp-1252.html
-%%DOCSDIR%%/test/cp-1252a.html
-%%DOCSDIR%%/test/iso-8859-1.html
-%%DOCSDIR%%/test/iso-8859-1a.html
-%%DOCSDIR%%/test/iso-8859-2.html
-%%DOCSDIR%%/test/iso-8859-2a.html
-%%DOCSDIR%%/test/koi8-r.html
-%%DOCSDIR%%/test/quickbrown.html
-%%DOCSDIR%%/test/raw8bit.html
-%%DOCSDIR%%/test/sgml.html
-%%DOCSDIR%%/test/spaces.html
-%%DOCSDIR%%/test/special_urls.html
-%%DOCSDIR%%/test/tabtest.html
-%%DOCSDIR%%/test/tags.html
-%%DOCSDIR%%/test/test-styles.html
-%%DOCSDIR%%/test/unicode.html
-%%DOCSDIR%%/test/utf-8-demo.html
+%%PORTDOCS%%%%DOCSDIR%%/CHANGES
+%%PORTDOCS%%%%DOCSDIR%%/COPYHEADER
+%%PORTDOCS%%%%DOCSDIR%%/COPYHEADER.asc
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/COPYING.asc
+%%PORTDOCS%%%%DOCSDIR%%/PROBLEMS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/docs/CHANGES2.3.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/CHANGES2.4.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/CHANGES2.5.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/CHANGES2.6.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/CHANGES2.7.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/CHANGES2.8.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/CRAWL.announce.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/FM.announce.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/IBMPC-charsets.announce.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/OS-390.announce.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.TRST
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.chartrans
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.cookies
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.defines
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.jp
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.metrics
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.options
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.release
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.rootcerts
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.ssl
+%%PORTDOCS%%%%DOCSDIR%%/docs/README.sslcerts
+%%PORTDOCS%%%%DOCSDIR%%/docs/SOCKETSHR.announce.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/TCPWARE.announce.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/VMSWAIS.announce.gz
+%%PORTDOCS%%%%DOCSDIR%%/docs/djgpp.key
+%%PORTDOCS%%%%DOCSDIR%%/docs/pdcurses.key
+%%PORTDOCS%%%%DOCSDIR%%/docs/slang.key
+%%PORTDOCS%%%%DOCSDIR%%/docs/win-386.announce.gz
+%%PORTDOCS%%%%DOCSDIR%%/samples/blue-background.lss
+%%PORTDOCS%%%%DOCSDIR%%/samples/bright-blue.lss
+%%PORTDOCS%%%%DOCSDIR%%/samples/cernrules.txt
+%%PORTDOCS%%%%DOCSDIR%%/samples/home.htm
+%%PORTDOCS%%%%DOCSDIR%%/samples/installdirs.html
+%%PORTDOCS%%%%DOCSDIR%%/samples/jumps.htm
+%%PORTDOCS%%%%DOCSDIR%%/samples/jumpsUnix.html
+%%PORTDOCS%%%%DOCSDIR%%/samples/jumpsVMS.html
+%%PORTDOCS%%%%DOCSDIR%%/samples/keepviewer
+%%PORTDOCS%%%%DOCSDIR%%/samples/lynx-demo.cfg
+%%PORTDOCS%%%%DOCSDIR%%/samples/lynx-keymaps
+%%PORTDOCS%%%%DOCSDIR%%/samples/lynx.bat
+%%PORTDOCS%%%%DOCSDIR%%/samples/lynx.com
+%%PORTDOCS%%%%DOCSDIR%%/samples/lynx.ico
+%%PORTDOCS%%%%DOCSDIR%%/samples/lynx.lss
+%%PORTDOCS%%%%DOCSDIR%%/samples/lynx_bookmarks.htm
+%%PORTDOCS%%%%DOCSDIR%%/samples/lynxdump
+%%PORTDOCS%%%%DOCSDIR%%/samples/mailcap
+%%PORTDOCS%%%%DOCSDIR%%/samples/mailto-form.pl
+%%PORTDOCS%%%%DOCSDIR%%/samples/midnight.lss
+%%PORTDOCS%%%%DOCSDIR%%/samples/mild-colors.lss
+%%PORTDOCS%%%%DOCSDIR%%/samples/mime.types
+%%PORTDOCS%%%%DOCSDIR%%/samples/oldlynx
+%%PORTDOCS%%%%DOCSDIR%%/samples/oldlynx.bat
+%%PORTDOCS%%%%DOCSDIR%%/samples/opaque.lss
+%%PORTDOCS%%%%DOCSDIR%%/test/ALT88592.html
+%%PORTDOCS%%%%DOCSDIR%%/test/ISO_LATIN1_test.html
+%%PORTDOCS%%%%DOCSDIR%%/test/README.txt
+%%PORTDOCS%%%%DOCSDIR%%/test/TestComment.html
+%%PORTDOCS%%%%DOCSDIR%%/test/bad-html.html
+%%PORTDOCS%%%%DOCSDIR%%/test/c1.html
+%%PORTDOCS%%%%DOCSDIR%%/test/circle.html
+%%PORTDOCS%%%%DOCSDIR%%/test/cp-1252.html
+%%PORTDOCS%%%%DOCSDIR%%/test/cp-1252a.html
+%%PORTDOCS%%%%DOCSDIR%%/test/iso-8859-1.html
+%%PORTDOCS%%%%DOCSDIR%%/test/iso-8859-1a.html
+%%PORTDOCS%%%%DOCSDIR%%/test/iso-8859-2.html
+%%PORTDOCS%%%%DOCSDIR%%/test/iso-8859-2a.html
+%%PORTDOCS%%%%DOCSDIR%%/test/koi8-r.html
+%%PORTDOCS%%%%DOCSDIR%%/test/quickbrown.html
+%%PORTDOCS%%%%DOCSDIR%%/test/raw8bit.html
+%%PORTDOCS%%%%DOCSDIR%%/test/sgml.html
+%%PORTDOCS%%%%DOCSDIR%%/test/spaces.html
+%%PORTDOCS%%%%DOCSDIR%%/test/special_urls.html
+%%PORTDOCS%%%%DOCSDIR%%/test/square.html
+%%PORTDOCS%%%%DOCSDIR%%/test/tabtest.html
+%%PORTDOCS%%%%DOCSDIR%%/test/tags.html
+%%PORTDOCS%%%%DOCSDIR%%/test/test-styles.html
+%%PORTDOCS%%%%DOCSDIR%%/test/triangle.html
+%%PORTDOCS%%%%DOCSDIR%%/test/unicode.html
+%%PORTDOCS%%%%DOCSDIR%%/test/utf-8-demo.html
 %%NLS%%share/locale/ca/LC_MESSAGES/lynx.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/lynx.mo
 %%NLS%%share/locale/da/LC_MESSAGES/lynx.mo
@@ -140,10 +140,10 @@ share/lynx_help/keystrokes/xterm_help.ht
 share/lynx_help/lynx-dev.html.gz
 share/lynx_help/lynx_help_main.html.gz
 share/lynx_help/lynx_url_support.html.gz
-@dirrm %%DOCSDIR%%/samples
-@dirrm %%DOCSDIR%%/test
-@dirrm %%DOCSDIR%%/docs
-@dirrm %%DOCSDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/samples
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/test
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/docs
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm share/lynx_help/keystrokes
 @dirrm share/lynx_help
 %%NLS%%@dirrmtry share/locale/fi/LC_MESSAGES
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"